// router.js

// https://www.hhyang.cn/v2/start/cross/codeRoute.html
import {
	RouterMount,
	createRouter
} from 'uni-simple-router';

const router = createRouter({
	platform: process.env.VUE_APP_PLATFORM,
	routes: [...ROUTES]
});

let baseRoute = ['/pages/index/index', '/pages/login/login','/pages/register/register']
//全局路由前置守卫
router.beforeEach((to, from, next) => {
	console.log(to.path);
	if (baseRoute.includes(to.path)) {
		next()
		return
	}
	uni.getStorage({
		key: 'token',
		success: (res) => {
			next();
		},
		fail: (res) => {
			next('/pages/login/login');
		}
	});
});

// 全局路由后置守卫
router.afterEach((to, from) => {
	console.log('跳转结束')
})

export {
	router,
	RouterMount
}